
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

.header {
    width: 100%;
    background-color: hsl(298, 48%, 50%); /* opcionalno pozadina */
    padding: 1rem 2rem;
    font-family: "Red Hat Display";
    color:white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap; /* tarvitaan mobiilissa */
    box-sizing: border-box;
    position: fixed;/**/
    top: 0;
    left: 0;
    z-index: 1000; /* Elementille on annettu erittäin korkea prioriteetti pinoutumisessa, asettuu muiden elmentien päälle. */ 
}


a {
    color: white;
}

body {
    background-color: rgb(230, 208, 247);
    color: #000000;
    display: flex;
    /*justify-content: center;
    align-items: center;*/
    flex-direction: column;
    margin: 0;
    min-height: 100vh;
    /*overflow: hidden;*/
    padding-top: 100px;
  }

.main-content {
    flex: 1;
    padding: 1rem;
    /*overflow-y: auto; täm estää napin nostaa ylös
    max-height: calc(100vh - 100px); tämä estää napin nostaa ylös*/

}


select,
  label {
    display: block;
    margin-top: 10px;
    font-weight: bold;
}

select,
input[type="text"] {
  padding: 0.4rem;
  font-size: 1rem;
  margin-bottom: 1rem;
  width: 100%;
  max-width: 300px;
}

#ordersList {
    display: flex;        /* jätjästää kaikki vieräkkäin horizontaalilla linjalla */
    justify-content: center; /* keskelle*/
    gap: 30px;            /* tila projectien välillä */
    flex-wrap: wrap;      /* jos näyttö on pieni,että kuvat putoavat toselle riville */
    padding: 20px;
}

.order {
    width: 250px;
    padding: 10px;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}

.order.waiting {
    background-color: #fff8c4;
    border-left: 5px solid #ffd700;
    padding: 10px;
    margin-bottom: 10px;
}
  
.order.ready {
    background-color: #cce5ff;
    border-left: 5px solid #3399ff;
}
  
.order.delivered {
    background-color: #d4edda;
    border-left: 5px solid #28a745;
}

.deleteBtn {
    margin-top: 0.5rem;
    padding: 0.5rem;
    background:  hsl(298, 48%, 50%);
    color: white;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 1rem;
}

.deleteBtn:disabled {
    background: #ccc;
    cursor: not-allowed;
}  

#scrollTopBtn {
    display: none;
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 1001;
    font-size: 24px;
    background-color: hsl(298, 48%, 50%);
    color: white;
    border: none;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3);
    transition: opacity 0.3s ease;
}
  
#scrollTopBtn:hover {
    background-color: hsl(298, 48%, 40%);
}
  

@media (max-width: 600px) {
    .order {
      width: 100%;
    }
}

